@charset 'utf-8';
/*========= デモ用midnight.js ===============*/

/*スクロールした時に色、フォントが変わる start*/

/*========= デモ用midnight.js===============*/
#loading {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
#loading-page {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    z-index: 99999;
    background: #001900;
    text-align: center;
}

/*========= 画面遷移のためのCSS ===============*/

/*画面遷移アニメーション*/

/*========= ローディング画面のためのCSS ===============*/

/*========= 画面遷移のためのCSS ===============*/

/*画面遷移アニメーション*/

body {
    background: #001900; /*遷移アニメーションと同じ色を指定*/
}

.splashbg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    margin: 0;
    transition: 0.75s all;
}

@keyframes clipPath {
    0% {
        clip-path: circle(0 at 50% 50%);
    }
    100% {
        clip-path: circle(100% at 50% 50%);
    }
}

/*画面遷移の後現れるコンテンツ設定*/
#contents {
    position: relative;
    opacity: 0; /*はじめは透過0に*/
}

/*bodyにappearクラスがついたら出現*/
body.appear #contents {
    animation-name: PageAnimeAppear;
    animation-duration: 1s;
    animation-delay: 0.2s;
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes PageAnimeAppear {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

/* midnight */
/* 
* {
    margin: 0;
    padding: 0;
}
html,
body,
section {
    width: 100%;
    height: 100%;
}



/* メインビジュアル */

#main {
    background-color: #e5e8e5;
}
.main {
    width: 100vw;
    height: 100vh;
    overflow-x: hidden;
}
/* background-color: aqua; */
.main-blur {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    filter: blur(5px);
}
@keyframes blur {
    0% {
        filter: blur(5px);
    }
    100% {
        filter: none;
    }
}

.main-wrap {
    width: 72vw;
    height: 70vh;
    aspect-ratio: 1 / 0.7;
    position: relative;
    /* background-color: palevioletred; */
    top: 50%;
    transform: translateY(-50%);
    margin: 0 auto;
}
.F {
    padding-left: 5%;
    font-style: normal;
}
.main-title {
    position: absolute;

    z-index: 100;
}
span.smoothText {
    display: block;
    overflow: hidden;
    padding: 50px;
}

.subtitle {
    position: absolute;
    top: 55%;
    left: 14%;
}
.main h2 {
    font-family: "neue-haas-grotesk-display", sans-serif;
    font-weight: 200;
    font-style: normal;
    /* font-size: 5rem; */

    font-size: 6vw;
    line-height: 0.98;
    letter-spacing: 0.1em;
}
.homi-is {
    position: absolute;
    bottom: 8%;
    left: 8%;
}

.main-flower {
    position: absolute;
    width: 24vw;
    height: auto;
    z-index: 20;
    right: 14vw;
    bottom: 0;
}

.main h1 {
    font-family: "cormorant-garamond", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 15vw;
    letter-spacing: -0.06em;
    line-height: 0.7;
    z-index: 30;
}

.main h1 .O {
    font-family: "cormorant-garamond", serif;
    font-weight: 400;
    font-style: italic;

    z-index: 30;
}

.message p {
    font-family: "neue-haas-grotesk-display", sans-serif;
    font-weight: 200;
    font-style: normal;
    font-size: 0.9vw;
    line-height: 1.5;
    letter-spacing: 0.2em;
}

.sub-menu {
    position: absolute;
    display: inline-block;
    right: 5%;
    bottom: 37%;
    z-index: 10;
}
.sub-menu li {
    font-family: "neue-haas-grotesk-display", sans-serif;
    font-weight: 200;
    font-style: normal;
    font-size: 1.2vw;
    line-height: 1.5;
    letter-spacing: 0.2em;
    text-align: left;
}
.since h1 {
    font-family: Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 16vw;
    letter-spacing: -0.03em;
    position: absolute;
    bottom: 2%;
    right: 0;
    z-index: 3;
}

/* コンセプト */

.concept {
    display: flex;
    height: 617px;
    background-color: #fff;
}

.concept-words {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    width: 53%;
    padding: 2% 0 5% 0;
}

.concept-flower img {
    position: relative;
    bottom: 150px;
    height: 132%;
}
.concept-words h3 {
    font-family: "cormorant-garamond", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 80px;
    letter-spacing: -0.045em;
    text-align: end;
}

.concept-words span {
    font-family: "cormorant-garamond", serif;
    font-weight: 400;
    font-style: italic;
    font-size: 80px;
}
.concept-text {
    padding: 7% 0 10% 0;
    line-height: 1.75;

    /* width: 60%; */
}

/*== 線の上を別の線が伸びる */

.btnlinestretches4 {
    /*線の基点とするためrelativeを指定*/
    position: relative;
    /*リンクの形状*/
    color: #333;
    padding: 10px 60px 10px 30px;
    display: inline-block;
    text-decoration: none;
    outline: none;
    width: 70%;
    text-align: end;
}

/*線の設定*/
.btnlinestretches4::before,
.btnlinestretches4::after {
    content: "";
    /*絶対配置で線の位置を決める*/
    position: absolute;
    z-index: 1;
    bottom: 0;
    left: 0;
    /*線の形状*/
    background: #999c99;
    width: 100%;
    height: 1px;
    /*アニメーションの指定*/
    transition: all 0.3s ease-in-out;
}

/*hover時に伸びる線の形状*/
.btnlinestretches4::after {
    width: 0;
    background: #001900;
}

/*hover時に100%に伸びる*/
.btnlinestretches4:hover::after {
    width: 100%;
}

/*矢印の設定*/
.btnlinestretches4 span::after {
    content: "";
    /*絶対配置で矢印の位置を決める*/
    position: absolute;
    top: 20px;
    right: 20px;
    /*矢印の形状*/
    content: "";
    width: 15px;
    height: 3px;
    border-bottom: solid 1px;
    border-right: solid 1px;
    transform: skew(45deg);
    /*アニメーションの指定*/
    transition: all 0.3s;
}

/*hover時に矢印が移動*/
.btnlinestretches4:hover span::after {
    right: 15px;
}

.viewmore {
    font-family: "cormorant-garamond", serif;
    font-weight: 300;
    font-style: normal;

    font-size: 25px;
}

/* ワークス */

#works {
    background-color: #001900;
    position: relative;
}

#works .left-border,
#works .right-border {
    height: 100%;
    position: absolute;
    z-index: 100;
}

#works h2 {
    font-family: "cormorant-garamond", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 212px;
    letter-spacing: -0.06em;
    line-height: 0.7;
    color: #fff;
    padding: 12% 12%;
}
#works h2 span {
    font-family: "cormorant-garamond", serif;
    font-weight: 400;
    font-style: italic;
    font-size: 212px;
}
#works h4 {
    color: #fff;
    font-family: "cormorant-garamond", serif;
    font-weight: 300;
    font-style: normal;
    font-size: 25px;
    letter-spacing: 0.05em;
    margin: 20px 0 20px 0;
}
#works p {
    color: #fff;
}

.works-container {
    margin: 0 auto;
}
.worksbox {
    display: flex;
    width: 500px;
}
.number {
    font-family: Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 100px;
    letter-spacing: 0.03em;
    padding-right: 5%;
}
.detail {
    width: 200px;
    white-space: nowrap;
}

/*== 線の上を別の線が伸びる */

.btnlinestretches5 {
    /*線の基点とするためrelativeを指定*/
    position: relative;
    /*リンクの形状*/
    color: #fff;
    padding: 10px 60px 10px 30px;
    display: inline-block;
    text-decoration: none;
    outline: none;
    width: 70%;
    text-align: end;
}

/*線の設定*/
.btnlinestretches5::before,
.btnlinestretches5::after {
    content: "";
    /*絶対配置で線の位置を決める*/
    position: absolute;
    z-index: 1;
    bottom: 0;
    left: 0;
    /*線の形状*/
    background: #999c99;
    width: 100%;
    height: 1px;
    /*アニメーションの指定*/
    transition: all 0.3s ease-in-out;
}

/*hover時に伸びる線の形状*/
.btnlinestretches5::after {
    width: 0;
    background: #fff;
}

/*hover時に100%に伸びる*/
.btnlinestretches5:hover::after {
    width: 100%;
}

/*矢印の設定*/
.btnlinestretches5 span::after {
    content: "";
    /*絶対配置で矢印の位置を決める*/
    position: absolute;
    top: 20px;
    right: 20px;
    /*矢印の形状*/
    content: "";
    width: 15px;
    height: 3px;
    border-bottom: solid 1px;
    border-right: solid 1px;
    transform: skew(45deg);
    /*アニメーションの指定*/
    transition: all 0.3s;
}

/*hover時に矢印が移動*/
.btnlinestretches5:hover span::after {
    right: 15px;
}

.works-btn {
    position: relative;
    left: 15%;
    padding-top: 10%;
    padding-bottom: 12%;
    width: 50%;
    margin: 0 auto;
}

.viewworks-btn {
    align-items: center;
    width: 100%;
    gap: 25px;
    display: flex;
    justify-content: right;
}

/* サービス */
#services {
    background-color: #e6e8e6;
    overflow-x: hidden;
}

.services-wrap {
    display: flex;
    justify-content: center;
    position: relative;
}
.services-text {
    display: grid;
    place-items: center;
    padding: 15% 0 15% 0;
    width: 40%;
}
#services h3 {
    font-family: "cormorant-garamond", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 80px;
    letter-spacing: -0.045em;
}

#services p {
    line-height: 1.75;
    text-align: center;
}

.services-detail {
    padding: 11% 0 11% 0;
}
.tool {
    color: #4d5a4d;
}
.img-left {
    position: absolute;

    left: -140px;
    top: 50%;
    transform: translate(0, -50%);
}
.img-right {
    position: absolute;

    right: -140px;
    top: 50%;
    transform: translate(0, -50%);
}

/* コンタクト */
#contact {
    background-color: #001900;
    position: relative;
}
#contact .left-border,
#contact .right-border {
    position: absolute;
    z-index: 100;
    height: 100%;
}
.contact-wrap {
    display: flex;
    padding: 10% 0 10% 0;
    gap: 20px;
    place-items: center;
    flex-direction: column;
}

.toiawase {
    color: #999c99;
}
.copy {
    color: #999999;
    text-align: center;
    padding-top: 8%;
    transition: 0.3s;
}
.contact-hover:hover .copy {
    color: #fff;
}
/* //////アドレスコピー試験用/////// */
.contact-hover {
    cursor: pointer;
}

#copy-url h5 {
    color: #fff;
    font-family: "cormorant-garamond", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 72px;
    letter-spacing: -0.05em;
    border-bottom: solid 1px #fff;
    transition: 0.3s;
}

.contact-hover:hover #copy-url h5 {
    color: #666a66;
    border-bottom: solid 1px #666a66;
}

/* //////アドレスコピー試験用/////// */

.slick-prev:before,
.slick-next:before {
    color: #fff !important;
}

.works-slider {
    margin: 0 auto;
}
.slider-box {
    opacity: 0.4;
    transition: all 300ms ease;
}
.slider-box img {
    width: 100%;
}

.slider-box.slick-center {
    color: #fff;
    opacity: 1;
    transform: scale(1);
}
.slider-box {
    /* color: #fff; */

    transform: scale(0.8);
}

@media screen and (max-width: 2800px) {
    .subtitle {
        position: absolute;
        top: 62%;
        left: 20%;
    }

    .main h2 {
        font-size: 4.5vw;
    }
    .homi-is {
        bottom: -3%;
        left: 8%;
    }
    .main-title {
        top: -3%;
    }
    .main-flower {
        width: 22vw;

        right: 15vw;
        bottom: -5%;
    }

    .main h1 {
        font-size: 13vw;
    }
    .detail {
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .sub-menu {
        right: 7%;
        bottom: 35%;
    }
    .sub-menu li {
        font-size: 1.1vw;
    }
    .since h1 {
        font-size: 14vw;

        bottom: -5%;
        right: 2%;
    }
}

@media screen and (max-width: 2000px) {
    .subtitle {
        position: absolute;
        top: 60%;
        left: 14%;
    }

    .main h2 {
        font-size: 7vw;
    }
    .homi-is {
        bottom: 0;
        left: 8%;
    }

    .main-flower {
        width: 25vw;

        right: 10vw;
        bottom: 7%;
    }

    .main h1 {
        font-size: 18vw;
    }
    .detail {
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .sub-menu {
        right: 5%;
        bottom: 35%;
    }
    .sub-menu li {
        font-size: 1.3vw;
    }
    .since h1 {
        font-size: 18vw;

        bottom: 0;
        right: -2%;
    }
}

@media screen and (max-width: 1800px) {
    .subtitle {
        position: absolute;
        top: 60%;
        left: 14%;
    }

    .main h2 {
        font-size: 7vw;
    }
    .homi-is {
        bottom: -5%;
        left: 8%;
    }

    .main-flower {
        width: 26vw;

        right: 10vw;
        bottom: 9%;
    }

    .main h1 {
        font-size: 18vw;
    }
    .detail {
        overflow: hidden;
        text-overflow: ellipsis;
    }
    .message p {
        font-size: 1.6vw;
    }
    .sub-menu {
        right: 5%;
        bottom: 30%;
    }
    .sub-menu li {
        font-size: 1.3vw;
    }
    .since h1 {
        font-size: 18vw;

        bottom: 0;
        right: -2%;
    }
}

@media screen and (max-width: 1300px) {
    .subtitle {
        position: absolute;
        top: 60%;
        left: 14%;
    }

    .main h2 {
        font-size: 8vw;
    }
    .homi-is {
        bottom: -5%;
        left: 8%;
    }

    .message p {
        font-size: 1.5vw;
    }
    .main-flower {
        width: 28vw;

        right: 12vw;
        bottom: 7%;
    }

    .main h1 {
        font-size: 20vw;
    }
    .detail {
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .sub-menu {
        right: 5%;
        bottom: 25%;
    }
    .sub-menu li {
        font-size: 1.6vw;
    }
    .since h1 {
        font-size: 18vw;

        bottom: 2%;
        right: -2%;
    }
}

@media screen and (max-width: 1100px) {
    .detail {
        white-space: nowrap;

        overflow: hidden;
        text-overflow: ellipsis;
    }
    .subtitle {
        position: absolute;
        top: 60%;
        left: 14%;
    }
    .main h2 {
        font-size: 8vw;
    }
    .homi-is {
        bottom: -5%;
        left: 8%;
    }

    .main-flower {
        width: 35vw;

        right: 8vw;
        bottom: 7%;
    }

    .main h1 {
        font-size: 23vw;
    }

    .message p {
        font-size: 2vw;
    }

    .sub-menu {
        right: 5%;
        bottom: 25%;
    }
    .sub-menu li {
        font-size: 2vw;
    }
    .since h1 {
        font-size: 20vw;

        bottom: 2%;
        right: -2%;
    }
}
@media screen and (max-width: 1000px) {
    .concept-words {
        width: 40%;
    }
    .concept-words h3,
    .concept-words span {
        font-size: 60px;
    }
    .concept-flower img {
    }
    #works h2,
    #works h2 span {
        font-size: 160px;
    }
    .services-wrap img {
        width: 80%;
    }
    .services-text {
        width: 60%;
    }
    .img-right {
        right: -200px;
    }
    .main-title {
        left: -3%;
    }
    .subtitle {
        left: 10%;
    }
    .homi-is {
        bottom: 3%;
    }
    .sub-menu {
        bottom: 32%;
    }
    .since h1 {
        right: -12%;
        bottom: 8%;
    }
    .main-flower {
        bottom: 12%;
    }
    .concept-text {
        position: relative;
        bottom: 5%;
    }
}
@media screen and (max-width: 767px) {
    .detail {
        overflow: hidden;
        text-overflow: ellipsis;
    }
    .subtitle {
        position: absolute;
        top: 55%;
        left: 11%;
    }
    .main-title {
        position: absolute;
        left: -30px;
    }
    .main h2 {
        font-size: 38px;
        left: -25%;
    }

    span.smoothText {
        padding: 30px;
    }
    .message p {
        font-size: 14px;
        color: #b3b7b3;
    }
    .homi-is {
        bottom: 3%;
        left: 4%;
    }

    .main-flower {
        width: 48vw;

        right: -3vw;
        top: 22%;
    }

    .main h1 {
        font-size: 28vw;
    }

    .sub-menu {
        right: 3%;
        bottom: 25%;
    }
    .sub-menu li {
        display: none;
    }
    .since h1 {
        font-size: 28vw;

        top: 60%;
        right: -15%;
    }

    .concept-flower img {
        width: 170px;
        position: absolute;
        height: 333px;
        top: 60px;
        right: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .concept {
        height: 634px;
        position: relative;
    }

    .concept-words {
        width: 73%;
        padding: 2% 0 20% 0;
        margin: 0 auto;
    }

    .concept-words h3 {
        font-size: 38px;
        padding-top: 200px;
        text-align: center;
    }

    .concept-words span {
        font-size: 38px;
    }
    .concept-text {
        padding: 11% 0 15% 0;
    }
    .slider-box img,
    .worksbox {
        width: 280px;
        margin: 0 auto;
    }

    #services h3 {
        font-size: 38px;
    }
    #copy-url h5 {
        font-size: 37px;
    }
    .img-left,
    .img-right {
        width: 150px;
    }
    .img-left {
        left: -50px;
        top: 25%;
    }
    .img-right {
        right: -50px;
        top: 25%;
    }
    .services-text {
        width: 70%;
    }
    #works h2 {
        font-size: 80px;
    }
    #works h2 span {
        font-size: 80px;
    }
    .number {
        font-size: 48px;
        margin: 2%;
    }
    #works h4 {
        font-size: 16px;
        margin: 10px 0 10px 0;
    }
    .viewmore {
        font-size: 18px;
    }
    .works-btn {
        padding-top: 20%;
        padding-bottom: 20%;
        margin: 0 auto;
        left: 0;
    }
    .btnlinestretches5 {
        width: 55%;
    }
    .btnlinestretches4 {
        width: 40%;
        left: 0;
        right: 0;
        margin: 0 auto;
    }
    #services p {
        text-align: start;
    }
}
@media screen and (max-width: 400px) {
    .btnlinestretches4 {
        width: 50%;
    }
    .btnlinestretches5 {
        width: 70%;
    }
    .works-btn {
        left: -5%;
    }
    #works h2 {
        margin: 0 auto;

        padding: 12% 0;
    }
    .img-left,
    .img-right {
        width: 130px;
    }
}
